LibreOfice

hhaggenn

New member
Сообщения
34
#2
Вот такая ошибка

javaldx: Could not find a Java Runtime Environment!
Please ensure that a JVM and the package libreoffice-java-common
is installed.
If it is already installed then try removing ~/.libreoffice/3/user/config/javasettings_Linux_*.xml
Warning: failed to read path from javaldx
 

hhaggenn

New member
Сообщения
34
#4
Не знаю точно помог ли ваш совет, после
rm -rf ~/.libreoffice/
изменений не было, но еще я сделал
libreoffice --sae-mode и выбрал Disable hardware acceleration (OpenGL.)
все заработала.
 
Сообщения
27
#5
Подскажите, а как обновить LibreOffice до актуальной версии? А то что-то для винды выходит новая, а в Астре через обновления не приходит ничего.
 

Olej

New member
Сообщения
864
#6
А какая версия для вас "актуальная"?
Код:
olej@astra:~$ libreoffice --version
LibreOffice 6.1.5.2 10(Build:2)
Эта же версия во многих других самых свежих дистрибутивах Linux, например Debian 10 (new stable).
А то что-то для винды выходит новая,
А в винде могут хоть и удавиться на суку :cry: ... какое это имеет сюда значение?
 

AFilippov

New member
Сообщения
171
#7
Подскажите, а как обновить LibreOffice до актуальной версии? А то что-то для винды выходит новая, а в Астре через обновления не приходит ничего.
Если для Вас существенна разница между 6.1 и 6.2, посмотрите в сторону Лаборатории 50 и их репозитория:
LibreOffice 6.2 с русским языком
Репозиторий для Astra Linux Special и Common Edition
 

AFilippov

New member
Сообщения
171
#9
на офф.сайте либры версия 6.3 лежит для линуксов
Которая вышла на днях. Значит скоро и в репозиторях появится, как мейнтейнеры дистрибутивов одобрят. Опять же, за руки никто не держит, есть необходимость - берите с сайта, устанавливайте. Дальнейшее сопровождение в зоне Вашей ответственности.
Так мета-пакет LibreOffice именуется в репозитории Астры - libreoffice_6.1.5-3+deb10u2~bpo9+1astra1. То есть, разработчики дистрибутива внесят изменения (накладывают патчи) на исходные пакеты.
 
Сообщения
27
#10
Которая вышла на днях. Значит скоро и в репозиторях появится, как мейнтейнеры дистрибутивов одобрят. Опять же, за руки никто не держит, есть необходимость - берите с сайта, устанавливайте. Дальнейшее сопровождение в зоне Вашей ответственности.
Так мета-пакет LibreOffice именуется в репозитории Астры - libreoffice_6.1.5-3+deb10u2~bpo9+1astra1. То есть, разработчики дистрибутива внесят изменения (накладывают патчи) на исходные пакеты.
понял, наверно подождем обновления из офф.репозитория